import { createStore } from 'redux'
import * as persist from 'redux-persist'
import storage from 'redux-persist/lib/storage'
import reducer from '../reducers' 

const { persistStore, persistReducer } = persist
const persistConfig = {
    key: 'root',
    storage
}
const persistedReducer = persistReducer(persistConfig, reducer)

export interface IInitState {
    count: number
}

const initState: IInitState = {
    count: 0
}


const store = createStore(persistedReducer, initState)
const persistor = persistStore(store)

export {
    persistor,
    store
}