import * as React from 'react'
import * as Loadable from 'react-loadable'

export const router = [
    {
        component: import('../view/home'),
        path: '/home',
    }
]
function Loading(props: any) {
    console.log(props)
    if (props.error) {
        return <div>Error!</div>
    } else if (props.timedOut) {
        return <div>Taking a long time...</div>
    } else if (props.pastDelay) {
        return <div>loading</div>
    } else {
        return <div>loading</div>
    }
}

export const loadable = (component: Promise<React.ComponentClass<any> | React.StatelessComponent<any> | { default: React.ComponentType<any> }>) => {
     return Loadable({
        delay: 200,
        loader: () => component,
        loading: Loading,
        timeout: 10000,
    })
}